
QGIS Application - Bug report #4534

"Split vector layer" freezes QGIS

2011-11-15 03:01 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 14451

Description

It was tested on master and 1.7.1 on both Debian and Ubuntu. On OsX gives an error message but eventually finishes the task. It seems

to work under Windows.

May be a python version problem?

Traceback (most recent call last):

  File

"/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/pickle.py",

line 1366, in dumps

  File

"/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/pickle.py",

line 224, in dump

  File

"/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/pickle.py",

line 306, in save

  File

"/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/copy_reg.py",

line 71, in _reduce_ex

TypeError: the sip.simplewrapper type cannot be instantiated or sub-classed

Versione Python:

2.6.1 (r261:67515, Jun 24 2010, 21:47:49)

[GCC 4.2.1 (Apple Inc. build 5646)]

Related issues:

Duplicated by QGIS Application - Bug report # 7031: divide (split) polygon do... Closed 2013-01-23

Associated revisions

Revision 5b06de99 - 2013-01-08 10:24 AM - Salvatore Larosa

fix #4534

Revision 98d8d507 - 2013-01-13 12:16 AM - Jürgen Fischer

Merge pull request #378 from slarosa/ftools_split_vector

fix #4534
History

#1 - 2011-12-05 05:57 AM - Alexander Bruy

There are no fTools files in traceback, so this is not fTools issue. Maybe something wrong with your Python install?

#2 - 2011-12-09 08:12 AM - Paolo Cavallini

Confirmed here on Debian unstable. Tried bot over nfs and on local disk, same problem.

Apparently it is not QGIS being stuck, but rather the dialog remaining open and doing nothing

#3 - 2011-12-10 06:34 AM - Paolo Cavallini

- Priority changed from Normal to High

#4 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2011-12-20 05:38 AM - Alexander Bruy

Seems this error specific for 64-bit systems. I receive two reports about freezes and craches when users tried to press OK button in QFileDialog. In same

time same QGIS version works fine under 32-bit OS on same PC. So I think this is not a QGIS/fTools issue but Qt/PyQt one.

#6 - 2011-12-21 01:39 AM - Giovanni Manghi

Alexander Bruy wrote:

Seems this error specific for 64-bit systems. I receive two reports about freezes and craches when users tried to press OK button in QFileDialog. In

same time same QGIS version works fine under 32-bit OS on same PC. So I think this is not a QGIS/fTools issue but Qt/PyQt one.

I confirm that on 32bit OSes it works ok, on 64bit it doesn't.

#7 - 2011-12-24 01:11 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to Yes

- Subject changed from "split vector layer" freezes QGIS to "Split vector layer" freezes QGIS on 64bit OSes

- Priority changed from High to 6

- Affected QGIS version set to master

#8 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#9 - 2012-04-16 04:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

this need to be tested with a more recent GEOS version.

#10 - 2012-04-16 06:32 AM - Paolo Cavallini

2024-03-20 2/4



- Target version changed from Version 1.7.4 to Version 1.8.0

#11 - 2012-06-27 01:31 AM - Toni Keskitalo

Hello. This issue happens also on 32bit, at least on my system: Kubuntu Oneiric 11.10, kernel 3.0.0-20-generic-pae, 4GB memory, Qgis 1.8.0 from

ubuntugis-unstable. Additionally, after killing qgis.bin all the additional plugin repositories disappear from the list but other settings seem to be intact.

#12 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#13 - 2012-09-17 11:30 AM - Pedro Venâncio

Hi,

As to Toni Keskitalo, this is also happening to me in 32bit version (Xubuntu 12.04 with QGIS master from ubuntugis-unstabble).

The tool does not allow me to put the path directly in the 'Output Folder' field, and freezes when I click 'browser' and select the output folder. Then I am

forced to force close QGIS, which results in the cleaning of all options and all the customization I did in QGIS (default CRS, plugin repositories, locale

settings, wms/wfs/postgis connections, etc.)... Basically, QGIS becomes like in ​​a clean installation.

By the consequences that this error causes in the QGIS installation, it seems to me a matter of high priority.

#14 - 2012-09-17 11:50 AM - Giovanni Manghi

- Subject changed from "Split vector layer" freezes QGIS on 64bit OSes to "Split vector layer" freezes QGIS

#15 - 2012-10-04 10:17 AM - Giovanni Manghi

- Status changed from Feedback to Open

#16 - 2012-10-05 01:31 PM - Giovanni Manghi

Definitely happens (now?) also on 32bit.

#17 - 2012-10-17 09:28 AM - Paolo Cavallini

Confirmed, still a serious issue

#18 - 2012-12-13 01:58 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Works for me now on both Windows and Linux on qgis master. Please reopen if necessary.

#19 - 2013-01-07 02:11 PM - Brian Smith

- Status changed from Closed to Reopened

Still broken for me on QGIS 1.70, 1.80, and 1.90 (Master) on Kubuntu 12.10 32-bit.
#20 - 2013-01-08 01:28 AM - Salvatore Larosa

- Resolution deleted (fixed)

- Pull Request or Patch supplied changed from No to Yes

Confirmed, it occurs only under Linux!

This pull should fix the issue: https://github.com/qgis/Quantum-GIS/pull/378

#21 - 2013-01-12 03:16 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"98d8d507efb7a650bf76e34b9d04b1daa91251bf".

#22 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
https://github.com/qgis/Quantum-GIS/pull/378

